﻿--
-- Script was generated by Devart dbForge Studio for MySQL, Version 8.0.40.0
-- Product home page: http://www.devart.com/dbforge/mysql/studio
-- Script date 15/03/2019 11:40:25
-- Server version: 5.5.5-10.1.36-MariaDB
-- Client version: 4.1
--

-- 
-- Disable foreign keys
-- 
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;

-- 
-- Set SQL mode
-- 
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;

-- 
-- Set character set the client will use to send SQL statements to the server
--
SET NAMES 'utf8';

DROP DATABASE IF EXISTS practica1_hotel;

CREATE DATABASE IF NOT EXISTS practica1_hotel
CHARACTER SET latin1
COLLATE latin1_swedish_ci;

--
-- Set default database
--
USE practica1_hotel;

--
-- Create table `tipo`
--
CREATE TABLE IF NOT EXISTS tipo (
  idtipo int(11) NOT NULL AUTO_INCREMENT,
  categoria varchar(50) DEFAULT NULL,
  desripcion varchar(50) DEFAULT NULL,
  precioHabitacion float DEFAULT NULL,
  PRIMARY KEY (idtipo)
)
ENGINE = INNODB,
CHARACTER SET latin1,
COLLATE latin1_swedish_ci;

--
-- Create table `habitacion`
--
CREATE TABLE IF NOT EXISTS habitacion (
  numhabit int(11) NOT NULL AUTO_INCREMENT,
  idtipo int(11) DEFAULT NULL,
  PRIMARY KEY (numhabit)
)
ENGINE = INNODB,
CHARACTER SET latin1,
COLLATE latin1_swedish_ci;

--
-- Create foreign key
--
ALTER TABLE habitacion
ADD CONSTRAINT Fkhabitacion_tipo FOREIGN KEY (idtipo)
REFERENCES tipo (idtipo) ON DELETE CASCADE ON UPDATE CASCADE;

--
-- Create table `clientes`
--
CREATE TABLE IF NOT EXISTS clientes (
  dni varchar(20) NOT NULL,
  nombre varchar(40) DEFAULT NULL,
  apellido varchar(40) DEFAULT NULL,
  telefono varchar(30) DEFAULT NULL,
  email varchar(50) DEFAULT NULL,
  direccion varchar(60) DEFAULT NULL,
  fechaNacimiento date DEFAULT NULL,
  poblacion varchar(30) DEFAULT NULL,
  codPostal varchar(30) DEFAULT NULL,
  provincia varchar(30) DEFAULT NULL,
  pais varchar(30) DEFAULT NULL,
  PRIMARY KEY (dni)
)
ENGINE = INNODB,
CHARACTER SET latin1,
COLLATE latin1_swedish_ci;

--
-- Create table `reservas`
--
CREATE TABLE IF NOT EXISTS reservas (
  codReserva int(11) NOT NULL AUTO_INCREMENT,
  fechaEntrada date DEFAULT NULL,
  fechaSalida date DEFAULT NULL,
  numhabit int(11) DEFAULT NULL,
  dni varchar(20) DEFAULT NULL,
  iva float DEFAULT NULL,
  PRIMARY KEY (codReserva)
)
ENGINE = INNODB,
CHARACTER SET latin1,
COLLATE latin1_swedish_ci;

--
-- Create foreign key
--
ALTER TABLE reservas
ADD CONSTRAINT Fkreservas_cliente FOREIGN KEY (dni)
REFERENCES clientes (dni) ON DELETE CASCADE ON UPDATE CASCADE;

--
-- Create foreign key
--
ALTER TABLE reservas
ADD CONSTRAINT Fkreservas_habitacion FOREIGN KEY (numhabit)
REFERENCES habitacion (numhabit) ON DELETE CASCADE ON UPDATE CASCADE;

--
-- Create table `gastos`
--
CREATE TABLE IF NOT EXISTS gastos (
  idGastos int(11) NOT NULL AUTO_INCREMENT,
  idGasto int(11) DEFAULT NULL,
  codReserva int(11) DEFAULT NULL,
  descGasto varchar(50) DEFAULT NULL,
  importGasto float DEFAULT NULL,
  PRIMARY KEY (idGastos)
)
ENGINE = INNODB,
CHARACTER SET latin1,
COLLATE latin1_swedish_ci;

--
-- Create index `unique_gastos` on table `gastos`
--
ALTER TABLE gastos
ADD UNIQUE INDEX unique_gastos (idGasto);

--
-- Create index `unique_reserva` on table `gastos`
--
ALTER TABLE gastos
ADD UNIQUE INDEX unique_reserva (codReserva);

--
-- Create foreign key
--
ALTER TABLE gastos
ADD CONSTRAINT Fkgastos_rservas FOREIGN KEY (codReserva)
REFERENCES reservas (codReserva) ON DELETE CASCADE ON UPDATE CASCADE;

-- 
-- Dumping data for table tipo
--
-- Table practica1_hotel.tipo does not contain any data (it is empty)

-- 
-- Dumping data for table habitacion
--
-- Table practica1_hotel.habitacion does not contain any data (it is empty)

-- 
-- Dumping data for table clientes
--
-- Table practica1_hotel.clientes does not contain any data (it is empty)

-- 
-- Dumping data for table reservas
--
-- Table practica1_hotel.reservas does not contain any data (it is empty)

-- 
-- Dumping data for table gastos
--
-- Table practica1_hotel.gastos does not contain any data (it is empty)

-- 
-- Restore previous SQL mode
-- 
/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;

-- 
-- Enable foreign keys
-- 
/*!40014 SET FOREIGN_KEY_CHECKS = @OLD_FOREIGN_KEY_CHECKS */;